## org.eclipse.emf.cdo.spi.common.model
Interface InternalCDOPackageRegistry.MetaInstanceMapper

Enclosing interface:
  InternalCDOPackageRegistry

    public static interface InternalCDOPackageRegistry.MetaInstanceMapper

Method Summary
`java.util.Set<java.util.Map.Entry<CDOID,org.eclipse.emf.ecore.InternalEObject>>` `getEntrySet()`
`org.eclipse.emf.ecore.InternalEObject` `lookupMetaInstance(CDOID id)`
`CDOID` `lookupMetaInstanceID(org.eclipse.emf.ecore.InternalEObject metaInstance)`
`CDOIDMetaRange` `mapMetaInstances(org.eclipse.emf.ecore.EPackage ePackage)`
`void` `mapMetaInstances(org.eclipse.emf.ecore.EPackage ePackage, CDOIDMetaRange metaIDRange)`
`void` `mapMetaInstances(InternalCDOPackageRegistry.MetaInstanceMapper source)`
`void` `remapMetaInstanceID(CDOID oldID, CDOID newID)`

Method Detail

### getEntrySet

    java.util.Set<java.util.Map.Entry<CDOID,org.eclipse.emf.ecore.InternalEObject>> getEntrySet()

### lookupMetaInstance

    org.eclipse.emf.ecore.InternalEObject lookupMetaInstance(CDOID id)

### lookupMetaInstanceID

    CDOID lookupMetaInstanceID(org.eclipse.emf.ecore.InternalEObject metaInstance)

### mapMetaInstances

    CDOIDMetaRange mapMetaInstances(org.eclipse.emf.ecore.EPackage ePackage)

### mapMetaInstances

    void mapMetaInstances(org.eclipse.emf.ecore.EPackage ePackage,
                          CDOIDMetaRange metaIDRange)

### mapMetaInstances

    void mapMetaInstances(InternalCDOPackageRegistry.MetaInstanceMapper source)

### remapMetaInstanceID

    void remapMetaInstanceID(CDOID oldID,
                             CDOID newID)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.